Redmine - Defect #18685

Plugin migration confuses two plugins with similar names
2014-12-19 12:04 - Kevin Neuenfeldt

Status: Closed Start date:
Priority: Normal Due date:
Assignee: Jean-Philippe Lang % Done: 0%
Category: Plugin API Estimated time: 0.00 hour
Target version: 2.6.1
Resolution: Fixed Affected version:
Description
Environment:
Redmine version 2.5.1.stable
Ruby version 2.1.5-p273 (2014-11-13) [i386-1linux]
Rails version 3.2.17
Environment production
Database adapter Mysqgl2

Redmine plugins:
buildversion_manager
enervision_customization
extended_gantt
issue_repo_history_merge
multi_time_tracker
once_assigned_ever_watcher
redmine_proxy .0.1
redmine_re development version
redmine_reminder 0.3.0
redmine_wiki_lists 0.0.3
stuff_to_do_plugin 0.4.2
work_performance_record_to_pdf 0.0.1

The following situation:

| have a Redmine 2.5.1 instance running several plugins. One of them is called redmine_reminder, the other one redmine_re.
redmine_reminder was installed before redmine_re and has four migration steps.
Now when | tried to migrate redmine_re migration started with the fifth migration step. Unnecessary to say that it did not succeed.

In the end | managed to install both plugins by rolling back redmine_reminder to version 0, fixing the broken migrations of redmine_re
by hand and then installing redmine_re first followed by redmine_reminder.

For some reason the migration of redmine_re started at step five because of the 0-redmine_reminder entry in schema_migrations. As
soon as these entries were gone because of the rollback the migration of redmine_re started with step 0.

So it looks like the migration for redmine_re saw that there is something in schema_migrations (namely redmine_reminder) that is
similar and therefore started with the fifth step.

| don't know if this is a job for the Redmine developers or for the Rails developers so | post it here first.

Associated revisions

Revision 13768 - 2014-12-20 08:27 - Jean-Philippe Lang

Plugin migration confuses two plugins with similar names (#18685).

Revision 13804 - 2014-12-26 11:47 - Jean-Philippe Lang
Merged r13768 (#18685).

History

#1 - 2014-12-20 08:23 - Jean-Philippe Lang
- Category changed from Rails support to Plugin API

- Status changed from New to Confirmed
#2 - 2014-12-20 08:28 - Jean-Philippe Lang
- Status changed from Confirmed to Resolved
- Assignee set to Jean-Philippe Lang

- Target version set to 2.6.1

- Resolution set to Fixed

This should be fixed by r13768, thanks for reporting this.

#3 - 2014-12-26 11:47 - Jean-Philippe Lang

- Status changed from Resolved to Closed
